% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/plotAverageProfile.R
\name{plotAverageProfile}
\alias{plotAverageProfile}
\title{plotAverageProfile()}
\usage{
plotAverageProfile(
  gr,
  pattern = "^window_",
  x_labels = c("Before", "Anchor", "After"),
  palette = colorRampPalette(c("magenta", "black", "green")),
  alpha_for_se = 0.25,
  error_type = c("sd", "sem"),
  reversed_z_order = FALSE,
  ylim = NULL
)
}
\arguments{
\item{gr}{a GRanges input}

\item{pattern}{a single character that should match
metadata of \code{gr} (can be a regular expression).}

\item{x_labels}{x-axis labels.}

\item{palette}{a color palette function,
by default: \code{colorRampPalette(c("magenta", "black", "green"))}}

\item{alpha_for_se}{the transparency (alpha) value for
the error band.}

\item{error_type, }{can be either \code{sd} (standard deviation)
or \code{sem} (standard error of the mean). Default: \code{sem}.}

\item{reversed_z_order}{should the z-order of the curves be reversed
(i.e. first or last bin on top?)}

\item{ylim}{a vector of two numbers corresponding
to the y-limits of the plot}
}
\value{
Display a plot.
}
\description{
Plot the average stack profiles +/-  error (sd or sem).
If a \code{bin} column is present in \code{gr}, one average profile
is drawn for each bin.
}
\examples{
data("stackepi")
plotAverageProfile(stackepi)

}
